'From VisualWorks® NonCommercial, 7.6 of March 3, 2008 on March 8, 2009 at 8:09:01 pm'!
"Package Seaside-JSSyntaxHighlighter(2.30,postgres)*"!


WAComponent subclass: #SHTestHighlight
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-JSSyntaxHighlighter'!

SHTestHighlight class
	instanceVariableNames: ''!

SHTestHighlight comment:
'TestHighlight 

	(html preformatted)
		class: ''brush: smalltalk;gutter:false;''; id: ''definitionTextArea'';
		with: message.
	html
		script:
			'' SyntaxHighlighter.config.clipboardSwf = "'' , (SHLibrary / #clipboardSwf) printString
				, ''";SyntaxHighlighter.highlight();'''!

WAFileLibrary subclass: #SHSHLibrary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-JSSyntaxHighlighter'!

SHSHLibrary class
	instanceVariableNames: ''!

SHSHLibrary comment:
'SHLibrary ported from http://alexgorbatchev.com/wiki/SyntaxHighlighter 

Add a new parser, for Smalltalk.



'!

WAGenericTag subclass: #SHWASmalltalkCodeTag
	instanceVariableNames: 'options '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-JSSyntaxHighlighter'!

SHWASmalltalkCodeTag class
	instanceVariableNames: ''!

SHWASmalltalkCodeTag comment:
'WASmalltalkCodeTag is kind of a composite of HTML tags.

Inside of WASmalltalkCodeTag you should put smalltalk based code, and then when this tag renders on a WAHtmlCanvas this object will call a JS function (see the message highlight).

For more options , see the categorie options.

 '!

SHWASmalltalkCodeTag subclass: #SHWASimpleSmalltalkCodeTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-JSSyntaxHighlighter'!

SHWASimpleSmalltalkCodeTag class
	instanceVariableNames: ''!






!SHWASmalltalkCodeTag class methodsFor: 'instance-creation' stamp: ' 8/3/09 20:09'!

new
	
	^super new initializeWithTag: 'pre'! !


!SHWASmalltalkCodeTag methodsFor: 'options' stamp: ' 8/3/09 20:09'!

highlight: aCollectionOfNumbersString
	"[1, 6]  numbers inside brackets with comma as a separator only!!"
	
	options at: 'highlight' put: aCollectionOfNumbersString!

fontSize: aPercentNumberString
	" '100%'  '70%' ... you get the idea ..."
	
	options at: 'font-size' put: aPercentNumberString!

collapse: aBoolean
	
	options at: 'collapse' put: aBoolean!

ruler: aBoolean
	
	options at: 'ruler' put: aBoolean!

light: aBoolean
	
	options at: 'light' put: aBoolean!

autoLinks: aBoolean
	
	options at: 'auto-links' put: aBoolean!

htmlScript: aBoolean
	
	options at: 'html-script' put: aBoolean!

firstLine: aNumber
	
	options at: 'first-line' put: aNumber!

smartTabs: aBoolean
	
	options at: 'smart-tabs' put: aBoolean!

className: aString
	"options to add stylesheet into your code tag, aString can be: 'something' or even 'something another andYetAnother' "
	
	options at: 'class-name' put: aString!

gutter: aBoolean
	
	options at: 'gutter' put: aBoolean!

tabSize: aNumber
	
	options at: 'tab-size' put: aNumber!

toolbar: aBoolean
	
	options at: 'toolbar' put: aBoolean! !

!SHWASmalltalkCodeTag methodsFor: 'public' stamp: ' 8/3/09 20:09'!

printClassOptions
	
	| class |
	class _ 'brush: smalltalk;'.
	options
		keysAndValuesDo:
			[:k :v | class _ class , (k , ':' , v printString , ';')].
	self class: class!

highlight
	
	canvas document nextPutAll:
			'<script>SyntaxHighlighter.highlight();</script>'!

with: anObject
	"Render anObject into the receiver. Make sure that you call #with: last in the cascade, as this method will serialize the tag onto the output document."
	
	self openTag.
	self printClassOptions.
	super
		with:
			[self before.
			anObject renderOn: canvas.
			self after].
	self closeTag.
	self highlight! !

!SHWASmalltalkCodeTag methodsFor: 'initialization' stamp: ' 8/3/09 20:09'!

initialize
	
	closed _ false.
	options _ Dictionary new.
	options add: 'auto-links' -> 'true'.
	options add: 'class-name' -> ''.
	options add: 'collapse' -> 'false'.
	options add: 'first-line' -> '1'.
	options add: 'font-size' -> '100%'.
	options add: 'gutter' -> 'true'.
	options add: 'highlight' -> 'null'.
	options add: 'html-script' -> 'false'.
	options add: 'light' -> 'false'.
	options add: 'ruler' -> 'false'.
	options add: 'smart-tabs' -> 'true'.
	options add: 'tab-size' -> '4'.
	options add: 'toolbar' -> 'true'! !

!SHWASmalltalkCodeTag methodsFor: 'private' stamp: ' 8/3/09 20:09'!

before
	
	self style: 'visibility:hidden;'!

after
	
	self style: 'visibility: visible;'! !


!SHWASimpleSmalltalkCodeTag methodsFor: 'public' stamp: ' 8/3/09 20:09'!

after
	
	! !


!SHSHLibrary methodsFor: 'accessing' stamp: ' 8/3/09 20:09'!

selectorsToInclude
	
	^#(#shCoreJs #shLegacyJs #shBrushSmalltalkJs #shCoreCss #shThemeDefaultCss)! !

!SHSHLibrary methodsFor: 'JS' stamp: ' 8/3/09 20:09'!

shCoreJs
	
	^'/**
 * SyntaxHighlighter
 * http://alexgorbatchev.com/
 *
 * @version
 * 2.0.287 (February 06 2009)
 *
 * @author
 * Alex Gorbatchev
 * 
 * @copyright
 * Copyright (C) 2004-2009 Alex Gorbatchev.
 *
 * Licensed under a GNU Lesser General Public License.
 * http://creativecommons.org/licenses/LGPL/2.1/
 *
 * SyntaxHighlighter is donationware. You are allowed to download, modify and distribute 
 * the source code in accordance with LGPL 2.1 license, however if you want to use 
 * SyntaxHighlighter on your site or include it in your product, you must donate.
 * http://alexgorbatchev.com/wiki/SyntaxHighlighter:Donate
 */
eval(function(p,a,c,k,e,d){e=function(c){return(c<a?'''':e(parseInt(c/a)))+((c=c%a)>35?String.fromCharCode(c+29):c.toString(36))};if(!!''''.replace(/^/,String)){while(c--){d[e(c)]=k[c]||e(c)}k=[function(e){return d[e]}];e=function(){return''\\w+''};c=1};while(c--){if(k[c]){p=p.replace(new RegExp(''\\b''+e(c)+''\\b'',''g''),k[c])}}return p}(''f(!!1h.2I){l 2I=h(){l p={61:{"1b-1d":"","7f-2R":1,"1W-1P":u,"1B":u,"85-6L":U,"1H-1P":4,"5p":M,"5z":U,"1u":U,"5E":M,"7R-6e":U,"6n":M},R:{59:u,4x:16,4P:16,8h:M,7I:"4p",1n:{4t:"98 1c",4o:"99 1c",67:"97 96 7C",6y:"93 I 94 2a 95 7C 9a",38:"38",6B:"?",1q:"2I\\n\\n",6t:"9b\''t 9h 7J C: ",6b:"9i 9g\''t 9f C 2c-2q 9c: ",77:"<!!9d 2c 9e \\"-//92//7d 91 1.0 8P//8Q\\" \\"2j://8e.8f.8c/8R/7e/7d/7e-8O.8N\\"><2c 8K=\\"2j://8e.8f.8c/8L/8M\\"><84><8S 2j-8T=\\"8Z-90\\" 5u=\\"2g/2c; 8Y=8X-8\\" /><4O>8U 2I</4O></84><2E 1g=\\"1W-6l:8V,\\"6g 8W 9j\\",6g,5Y;9k-4H:#9J;4H:#9K;1W-1P:9I;2g-6r:6p;\\"><z 1g=\\"2g-6r:6p;5v-4S:9H;\\"><z 1g=\\"1W-6l:9E,9F,8J,9L-5Y;1W-1P:9M-9S;\\">2I</z><z 1g=\\"1W-1P:.9T;5v-9R:9Q;\\"><z>5T 2.0.9N (9O 9P 6C)</z><z><a 2e=\\"2j://74.58\\" 9D=\\"55\\" 1g=\\"4H:#9C;2g-9q:9r;\\">2j://74.58</a></z></z><z>9s I 9p 9o.</z><z>9l 9m-6C 9n 9t.</z></z></2E></2c>"},7F:M},1t:{5j:u,3w:u,3f:u,5F:{}},2T:{},7b:{9u:/\\/\\*[\\s\\S]*?\\*\\//4G,9A:/\\/\\/.*$/4G,9B:/#.*$/4G,9y:/"(?:\\.|(\\\\\\")|[^\\""\\n])*"/g,9v:/\''(?:\\.|(\\\\\\\'')|[^\\\''\''\\n])*\''/g,9w:/"(?:\\.|(\\\\\\")|[^\\""])*"/g,9x:/\''(?:\\.|(\\\\\\\'')|[^\\\''\''])*\''/g,3L:/\\w+:\\/\\/[\\w-.\\/?%&=]*/g,9U:{D:/(&1I;|<)\\?=?/g,19:/\\?(&2x;|>)/g},8r:{D:/(&1I;|<)%=?/g,19:/%(&2x;|>)/g},8s:{D:/(&1I;|<)\\s*2q.*?(&2x;|>)/4l,19:/(&1I;|<)\\/\\s*2q\\s*(&2x;|>)/4l}},1u:{18:h(3G){l 3E=J.1w("39"),4F=p.1u.7V;3E.Z="1u";C(l 2J 2a 4F){l 6J=4F[2J],4D=Q 6J(3G),1V=4D.18();3G.5o[2J]=4D;f(1V==u){1O}f(8I(1V)=="8H"){1V=p.1u.6T(1V,3G.1j,2J)}1V.Z+="8z "+2J;3E.1K(1V)}q 3E},6T:h(4M,6Y,4N){l a=J.1w("a"),4L=a.1g,4J=p.R,4K=4J.4x,4C=4J.4P;a.2e="#"+4N;a.4O=4M;a.4Q=6Y;a.6q=4N;a.1x=4M;f(5r(4K)==M){4L.1M=4K+"5q"}f(5r(4C)==M){4L.2i=4C+"5q"}a.8p=h(e){8k{p.1u.6W(c,e||1h.68,c.4Q,c.6q)}8l(e){p.B.1q(e.6M)}q M};q a},6W:h(7Z,89,81,86,7W){l 4B=p.1t.5F[81],4s;f(4B==u||(4s=4B.5o[86])==u){q u}q 4s.2f(7Z,89,7W)},7V:{4t:h(4r){c.18=h(){f(4r.T("5E")!!=U){q}q p.R.1n.4t};c.2f=h(4q,8C,8w){l z=4r.z;4q.7x.4j(4q);z.Z=z.Z.E("5D","")}},4o:h(7N){c.18=h(){q p.R.1n.4o};c.2f=h(8o,8E,8x){l 3C=p.B.3y(7N.5B).E(/</g,"&1I;"),2d=p.B.4R("","55",8F,8v,"70=0, 8n=1, 8u=0, 75=1");3C=p.B.2z(3C);2d.J.35("<4p>"+3C+"</4p>");2d.J.54()}},67:h(5c){l 3c,9G,5a=5c.1j;c.18=h(){l 2K=p.R;f(1h.70.a8=="b8:"||2K.59==u){q u}h 1y(4u){l 4A="";C(l 4v 2a 4u){4A+="<b7 1d=\''"+4v+"\'' 1N=\''"+4u[4v]+"\''/>"}q 4A};h 2k(4z){l 4w="";C(l 4y 2a 4z){4w+=" "+4y+"=\''"+4z[4y]+"\''"}q 4w};l 56={1M:2K.4x,2i:2K.4P,1j:5a+"b6",6w:"b4/x-6c-6o"},57={b5:"b9",ba:"bf",be:"4Q="+5a,bd:"M"},5b=2K.59,3a;f(/bc/i.1X(80.83)){3a="<5R"+2k({b3:"b2:aU-aT-aS-aQ-aR",aW:"2j://b0.aZ.58/aX/6c/bh/6o/bg.bm#5T=9,0,0,0"})+2k(56)+">"+1y(57)+1y({bD:5b})+"</5R>"}F{3a="<bB"+2k(56)+2k(57)+2k({bC:5b})+"/>"}3c=J.1w("z");3c.1x=3a;q 3c};c.2f=h(bE,bF,5g){l 71=5g.by;6V(71){2H"5Q":l 5h=p.B.2z(p.B.3y(5c.5B).E(/&1I;/g,"<").E(/&2x;/g,">").E(/&bw;/g,"&"));f(1h.6P){1h.6P.bx("2g",5h)}F{q p.B.2z(5h)}2H"bl":p.B.1q(p.R.1n.6y);30;2H"bk":p.B.1q(5g.6M);30}}},bi:h(5f){c.18=h(){q p.R.1n.38};c.2f=h(bj,bo,9V){l 1U=J.1w("bv"),1J=u;f(p.1t.3f!!=u){J.2E.4j(p.1t.3f)}p.1t.3f=1U;1U.1g.bu="bt:bq;1M:6H;2i:6H;D:-6G;4S:-6G;";J.2E.1K(1U);1J=1U.5d.J;6F(1J,1h.J);1J.35("<z 1b=\\""+5f.z.Z.E("5D","")+" bs\\">"+5f.z.1x+"</z>");1J.54();1U.5d.52();1U.5d.38();h 6F(6x,6E){l 2L=6E.7v("5e");C(l i=0;i<2L.v;i++){f(2L[i].6v.aP()=="6z"&&/ac\\.12$/.1X(2L[i].2e)){6x.35("<5e 6w=\\"2g/12\\" 6v=\\"6z\\" 2e=\\""+2L[i].2e+"\\"></5e>")}}}}},af:h(ag){c.18=h(){q p.R.1n.6B};c.2f=h(al,ak){l 2d=p.B.4R("","55",ah,ai,"75=0"),1J=2d.J;1J.35(p.R.1n.77);1J.54();2d.52()}}}},B:{5w:h(6Z){q 6Z+3I.a0(3I.9Y()*9W).2t()},5H:h(4V,4U){l 3g={},20;C(20 2a 4V){3g[20]=4V[20]}C(20 2a 4U){3g[20]=4U[20]}q 3g},5V:h(4T){6V(4T){2H"U":q U;2H"M":q M}q 4T},4R:h(3L,63,4W,4n,2G){l x=(79.1M-4W)/2,y=(79.2i-4n)/2;2G+=", D="+x+", 4S="+y+", 1M="+4W+", 2i="+4n;2G=2G.E(/^,/,"");l 51=1h.a2(3L,63,2G);51.52();q 51},7D:h(1L,23,1Z){f(1L.5X){1L["e"+23+1Z]=1Z;1L[23+1Z]=h(){1L["e"+23+1Z](1h.68)};1L.5X("a6"+23,1L[23+1Z])}F{1L.a3(23,1Z,M)}},1q:h(A){1q(p.R.1n.1q+A)},41:h(4Z,65){l 2y=p.1t.5j,3l=u;f(2y==u){2y={};C(l 4Y 2a p.2T){l 3k=p.2T[4Y].am;f(3k==u){1O}C(l i=0;i<3k.v;i++){2y[3k[i]]=4Y}}p.1t.5j=2y}3l=p.2T[2y[4Z]];f(3l==u&&65!!=M){p.B.1q(p.R.1n.6t+4Z)}q 3l},4a:h(A,6m){l 2C=A.27("\\n");C(l i=0;i<2C.v;i++){2C[i]=6m(2C[i])}q 2C.5n("\\n")},7q:h(){l z=J.1w("z"),3m=J.1w("z"),6s=10,i=1;1S(i<=aE){f(i%6s===0){z.1x+=i;i+=(i+"").v}F{z.1x+="&aC;";i++}}3m.Z="5p 2R";3m.1K(z);q 3m},6D:h(A){q A.E(/^[ ]*[\\n]+|[\\n]*[ ]*$/g,"")},7H:h(A){l 3i,3V={},5i=Q O("^\\\\[(?<4f>(.*?))\\\\]$"),6k=Q O("(?<1d>[\\\\w-]+)"+"\\\\s*:\\\\s*"+"(?<1N>"+"[\\\\w-%#]+|"+"\\\\[.*?\\\\]|"+"\\".*?\\"|"+"\''.*?\''"+")\\\\s*;?","g");1S((3i=6k.N(A))!!=u){l 2u=3i.1N.E(/^[\''"]|[\''"]$/g,"");f(2u!!=u&&5i.1X(2u)){l m=5i.N(2u);2u=m.4f.v>0?m.4f.27(/\\s*,\\s*/):[]}3V[3i.1d]=2u}q 3V},6a:h(A,12){f(A==u||A.v==0||A=="\\n"){q A}A=A.E(/</g,"&1I;");A=A.E(/ {2,}/g,h(m){l 3U="";C(l i=0;i<m.v-1;i++){3U+="&1R;"}q 3U+" "});f(12!!=u){A=p.B.4a(A,h(2s){f(2s.v==0){q""}l 3r="";2s=2s.E(/^(&1R;| )+/,h(s){3r=s;q""});f(2s.v==0){q 3r}q 3r+"<I 1b=\\""+12+"\\">"+2s+"</I>"})}q A},7P:h(6f,7a){l 2D=6f.2t();1S(2D.v<7a){2D="0"+2D}q 2D},5G:h(){l 36=J.1w("z"),3h,37=0,4i=J.2E,1j=p.B.5w("5G"),2F="<z 1b=\\"",2M="</z>",4h="</1Q>";36.1x=2F+"6u\\">"+2F+"28\\">"+2F+"2R\\">"+2F+"5u"+"\\"><1Q 1b=\\"7Q\\"><1Q 1j=\\""+1j+"\\">&1R;"+4h+4h+2M+2M+2M+2M;4i.1K(36);3h=J.aJ(1j);f(/aK/i.1X(80.83)){l 87=1h.aB(3h,u);37=7i(87.aA("1M"))}F{37=3h.as}4i.4j(36);q 37},72:h(7U,7T){l 1H="";C(l i=0;i<7T;i++){1H+=" "}q 7U.E(/\\t/g,1H)},6A:h(2N,4c){l ar=2N.27("\\n"),1H="\\t",47="";C(l i=0;i<50;i++){47+="                    "}h 8j(3e,17,88){q 3e.22(0,17)+47.22(0,88)+3e.22(17+1,3e.v)};2N=p.B.4a(2N,h(24){f(24.1e(1H)==-1){q 24}l 17=0;1S((17=24.1e(1H))!!=-1){l 8g=4c-17%4c;24=8j(24,17,8g)}q 24});q 2N},3y:h(A){q(p.R.8h==U)?A.E(/<br\\s*\\/?>|&1I;br\\s*\\/?&2x;/4l,"\\n"):A},3O:h(A){q A.E(/\\s*$/g,"").E(/^\\s*/,"")},2z:h(A){l 29=p.B.3y(A).27("\\n"),az=Q 5A(),7X=/^\\s*/,25=ay;C(l i=0;i<29.v&&25>0;i++){l 43=29[i];f(p.B.3O(43).v==0){1O}l 44=7X.N(43);f(44==u){q A}25=3I.25(44[0].v,25)}f(25>0){C(l i=0;i<29.v;i++){29[i]=29[i].22(25)}}q 29.5n("\\n")},7K:h(2U,2V){f(2U.H<2V.H){q-1}F{f(2U.H>2V.H){q 1}F{f(2U.v<2V.v){q-1}F{f(2U.v>2V.v){q 1}}}}q 0},2Q:h(7l,2Y){h 7r(3X,7s){q[Q p.4m(3X[0],3X.H,7s.12)]};l av=0,4e=u,3M=[],7k=2Y.3R?2Y.3R:7r;1S((4e=2Y.3D.N(7l))!!=u){3M=3M.2P(7k(4e,2Y))}q 3M},6d:h(7c){q 7c.E(p.7b.3L,h(m){q"<a 2e=\\""+m+"\\">"+m+"</a>"})}},1B:h(7G,46){h 7u(4g){l 49=[];C(l i=0;i<4g.v;i++){49.K(4g[i])}q 49};l 3J=46?[46]:7u(J.7v(p.R.7I)),7M="1x",2l=u;f(3J.v===0){q}C(l i=0;i<3J.v;i++){l 2B=3J[i],2b=p.B.7H(2B.Z),2W;2b=p.B.5H(7G,2b);2W=2b["7J"];f(2W==u){1O}f(2b["2c-2q"]=="U"){2l=Q p.4X(2W)}F{l 48=p.B.41(2W);f(48){2l=Q 48()}F{1O}}2l.1B(2B[7M],2b);l 2h=2l.z;f(p.R.7F){2h=J.1w("an");2h.1N=2l.z.1x;2h.1g.1M="a4";2h.1g.2i="a7"}2B.7x.a1(2h,2B)}},9Z:h(7B){p.B.7D(1h,"ae",h(){p.1B(7B)})}};p.4m=h(45,6i,12){c.1N=45;c.H=6i;c.v=45.v;c.12=12};p.4m.Y.2t=h(){q c.1N};p.4X=h(3S){l 1C=p.B.41(3S),3Q=Q p.2T.aO(),bn=u;f(1C==u){q}1C=Q 1C();c.5O=3Q;f(1C.3z==u){p.B.1q(p.R.1n.6b+3S);q}3Q.5s.K({3D:1C.3z.I,3R:66});h 3F(42,5Z){C(l j=0;j<42.v;j++){42[j].H+=5Z}};h 66(13,bA){l 6X=13.I,1D=[],3Y=1C.5s,6Q=13.H+13.D.v,2S=1C.3z,1o;C(l i=0;i<3Y.v;i++){1o=p.B.2Q(6X,3Y[i]);3F(1o,6Q);1D=1D.2P(1o)}f(2S.D!!=u&&13.D!!=u){1o=p.B.2Q(13.D,2S.D);3F(1o,13.H);1D=1D.2P(1o)}f(2S.19!!=u&&13.19!!=u){1o=p.B.2Q(13.19,2S.19);3F(1o,13.H+13[0].aV(13.19));1D=1D.2P(1o)}q 1D}};p.4X.Y.1B=h(6O,6R){c.5O.1B(6O,6R);c.z=c.5O.z};p.6U=h(){};p.6U.Y={T:h(64,69){l 5M=c.1y[64];q p.B.5V(5M==u?69:5M)},18:h(7j){q J.1w(7j)},7h:h(5N){C(l i=0;i<c.26.v;i++){l 2O=c.26[i];f(2O===u){1O}f((5N.H>2O.H)&&(5N.H<2O.H+2O.v)){q U}}q M},7y:h(3A,7L){l 2v=[];f(3A!!=u){C(l i=0;i<3A.v;i++){2v=2v.2P(p.B.2Q(7L,3A[i]))}}2v=2v.aF(p.B.7K);q 2v},7w:h(){C(l i=0;i<c.26.v;i++){f(c.7h(c.26[i])){c.26[i]=u}}},7A:h(2X){l 3N=2X.27(/\\n/g),3x=7i(c.T("7f-2R")),7o=(3x+3N.v).2t().v,7O=c.T("1B",[]);2X="";C(l i=0;i<3N.v;i++){l 1v=3N[i],2r=/^(&1R;|\\s)+/.N(1v),5t="2R aw"+(i%2==0?1:2),8i=p.B.7P(3x+i,7o),8d=7O.1e((3x+i).2t())!!=-1,1A=u;f(2r!!=u){1A=2r[0].2t();1v=1v.22(1A.v);1A=1A.E(/&1R;/g," ");2r=p.1t.3w*1A.v}F{2r=0}1v=p.B.3O(1v);f(1v.v==0){1v="&1R;"}f(8d){5t+=" au"}2X+="<z 1b=\\""+5t+"\\">"+"<I 1b=\\"ap\\">"+8i+".</I>"+"<1Q 1b=\\"5u\\">"+(1A!!=u?"<I 1b=\\"ao\\">"+1A.E(/\\s/g,"&1R;")+"</I>":"")+"<1Q 1b=\\"7Q\\" 1g=\\"5v-D: "+2r+"5q;\\">"+1v+"</1Q>"+"</1Q>"+"</z>"}q 2X},7z:h(5k,5l){l 17=0,3o="",3j=p.B.6a;C(l i=0;i<5l.v;i++){l 1z=5l[i];f(1z===u||1z.v===0){1O}3o+=3j(5k.22(17,1z.H-17),"6j")+3j(1z.1N,1z.12);17=1z.H+1z.v}3o+=3j(5k.22(17),"6j");q 3o},1B:h(1a,62){l aG=p.R,3v=p.1t,z,3d;c.1y={};c.z=u;c.28=u;c.I=u;c.2n=u;c.5o={};c.1j=p.B.5w("a5");3v.5F[c.1j]=c;f(1a===u){1a=""}f(3v.3w===u){3v.3w=p.B.5G()}c.1y=p.B.5H(p.61,62||{});f(c.T("6n")==U){c.1y.1u=c.1y.5z=M}c.z=z=c.18("39");c.28=c.18("39");c.28.Z="28";z.Z="6u";z.1j=c.1j;f(c.T("5E")){z.Z+=" 5D"}f(c.T("5z")==M){z.Z+=" a9"}z.Z+=" "+c.T("1b-1d");z.1g.aj=c.T("1W-1P","");c.5B=1a;c.I=p.B.6D(1a).E(/\\r/g," ");3d=c.T("1H-1P");c.I=c.T("85-6L")==U?p.B.6A(c.I,3d):p.B.72(c.I,3d);c.I=p.B.2z(c.I);f(c.T("1u")){c.2n=c.18("39");c.2n.Z="2n";c.2n.1K(p.1u.18(c));z.1K(c.2n)}f(c.T("5p")){z.1K(p.B.7q())}z.1K(c.28);c.26=c.7y(c.5s,c.I);c.7w();1a=c.7z(c.I,c.26);1a=c.7A(p.B.3O(1a));f(c.T("7R-6e")){1a=p.B.6d(1a)}c.28.1x=1a},8t:h(A){A=A.E(/^\\s+|\\s+$/g,"").E(/\\s+/g,"\\\\b|\\\\b");q"\\\\b"+A+"\\\\b"},8q:h(2A){c.3z={D:{3D:2A.D,12:"2q"},19:{3D:2A.19,12:"2q"},I:Q O("(?<D>"+2A.D.1c+")"+"(?<I>.*?)"+"(?<19>"+2A.19.1c+")","8y")}}};q p}()}f(!!5A.1e){5A.Y.1e=h(73,3H){3H=3I.8D(3H||0,0);C(l i=3H;i<c.v;i++){f(c[i]==73){q i}}q-1}}f(!!1h.O){(h(){l 2o={N:W.Y.N,6N:5C.Y.6N,E:5C.Y.E,27:5C.Y.27},1E={X:/(?:[^\\\\([#\\s.]+|\\\\(?!!k<[\\w$]+>|[5U]{[^}]+})[\\S\\s]?|\\((?=\\?(?!!#|<[\\w$]+>)))+|(\\()(?:\\?(?:(#)[^)]*\\)|<([$\\w]+)>))?|\\\\(?:k<([\\w$]+)>|[5U]{([^}]+)})|(\\[\\^?)|([\\S\\s])/g,9z:/(?:[^$]+|\\$(?!![1-9$&`\'']|{[$\\w]+}))+|\\$(?:([1-9]\\d*|[$&`\''])|{([$\\w]+)})/g,3b:/^(?:\\s+|#.*)+/,5I:/^(?:[?*+]|{\\d+(?:,\\d*)?})/,6S:/&&\\[\\^?/g,6K:/]/g},5W=h(5x,5P,60){C(l i=60||0;i<5x.v;i++){f(5x[i]===5P){q i}}q-1},7t=/()??/.N("")[1]!!==33,3t={};O=h(1f,21){f(1f 4k W){f(21!!==33){32 7n("4d\''t 4b 8B 82 8m 7p W 8G 8A")}q 1f.3B()}l 21=21||"",78=21.1e("s")>-1,76=21.1e("x")>-1,5m=M,3n=[],15=[],X=1E.X,G,34,3s,3P,3q;X.L=0;1S(G=2o.N.2p(X,1f)){f(G[2]){f(!!1E.5I.1X(1f.14(X.L))){15.K("(?:)")}}F{f(G[1]){3n.K(G[3]||u);f(G[3]){5m=U}15.K("(")}F{f(G[4]){3P=5W(3n,G[4]);15.K(3P>-1?"\\\\"+(3P+1)+(5r(1f.5y(X.L))?"":"(?:)"):G[0])}F{f(G[5]){15.K(3t.7g?3t.7g.5Q(G[5],G[0].5y(1)==="P"):G[0])}F{f(G[6]){f(1f.5y(X.L)==="]"){15.K(G[6]==="["?"(?!!)":"[\\\\S\\\\s]");X.L++}F{34=O.7Y("&&"+1f.14(G.H),1E.6S,1E.6K,"",{8a:"\\\\"})[0];15.K(G[6]+34+"]");X.L+=34.v+1}}F{f(G[7]){f(78&&G[7]==="."){15.K("[\\\\S\\\\s]")}F{f(76&&1E.3b.1X(G[7])){3s=2o.N.2p(1E.3b,1f.14(X.L-1))[0].v;f(!!1E.5I.1X(1f.14(X.L-1+3s))){15.K("(?:)")}X.L+=3s-1}F{15.K(G[7])}}}F{15.K(G[0])}}}}}}}3q=W(15.5n(""),2o.E.2p(21,/[aD]+/g,""));3q.1r={1c:1f,2m:5m?3n:u};q 3q};O.aH=h(1d,o){3t[1d]=o};W.Y.N=h(A){l 1i=2o.N.2p(c,A),1d,i,5K;f(1i){f(7t&&1i.v>1){5K=Q W("^"+c.1c+"$(?!!\\\\s)",c.5J());2o.E.2p(1i[0],5K,h(){C(i=1;i<7S.v-2;i++){f(7S[i]===33){1i[i]=33}}})}f(c.1r&&c.1r.2m){C(i=1;i<1i.v;i++){1d=c.1r.2m[i-1];f(1d){1i[1d]=1i[i]}}}f(c.3K&&c.L>(1i.H+1i[0].v)){c.L--}}q 1i}})()}W.Y.5J=h(){q(c.3K?"g":"")+(c.aq?"i":"")+(c.6h?"m":"")+(c.3b?"x":"")+(c.aI?"y":"")};W.Y.3B=h(7E){l 5L=Q O(c.1c,(7E||"")+c.5J());f(c.1r){5L.1r={1c:c.1r.1c,2m:c.1r.2m?c.1r.2m.14(0):u}}q 5L};W.Y.2p=h(bG,A){q c.N(A)};W.Y.bH=h(bp,6I){q c.N(6I[0])};O.3W=h(3Z,3T){l 40="/"+3Z+"/"+(3T||"");q O.3W[40]||(O.3W[40]=Q O(3Z,3T))};O.3u=h(A){q A.E(/[-[\\]{}()*+?.\\\\^$|,#\\s]/g,"\\\\$&")};O.7Y=h(A,D,V,1k,31){l 31=31||{},2Z=31.8a,11=31.9X,1k=1k||"",4I=1k.1e("g")>-1,5S=1k.1e("i")>-1,7m=1k.1e("m")>-1,4E=1k.1e("y")>-1,1k=1k.E(/y/g,""),D=D 4k W?(D.3K?D:D.3B("g")):Q O(D,"g"+1k),V=V 4k W?(V.3K?V:V.3B("g")):Q O(V,"g"+1k),1F=[],2w=0,1l=0,1m=0,1p=0,1T,1Y,1s,1G,3p,53;f(2Z){f(2Z.v>1){32 at("4d\''t 4b ad ax 7p 3u 8b")}f(7m){32 7n("4d\''t 4b 3u 8b 82 aL aM 6h aN")}3p=O.3u(2Z);53=Q W("^(?:"+3p+"[\\\\S\\\\s]|(?:(?!!"+D.1c+"|"+V.1c+")[^"+3p+"])+)+",5S?"i":"")}1S(U){D.L=V.L=1m+(2Z?(53.N(A.14(1m))||[""])[0].v:0);1s=D.N(A);1G=V.N(A);f(1s&&1G){f(1s.H<=1G.H){1G=u}F{1s=u}}f(1s||1G){1l=(1s||1G).H;1m=(1s?D:V).L}F{f(!!2w){30}}f(4E&&!!2w&&1l>1p){30}f(1s){f(!!2w++){1T=1l;1Y=1m}}F{f(1G&&2w){f(!!--2w){f(11){f(11[0]&&1T>1p){1F.K([11[0],A.14(1p,1T),1p,1T])}f(11[1]){1F.K([11[1],A.14(1T,1Y),1T,1Y])}f(11[2]){1F.K([11[2],A.14(1Y,1l),1Y,1l])}f(11[3]){1F.K([11[3],A.14(1l,1m),1l,1m])}}F{1F.K(A.14(1Y,1l))}1p=1m;f(!!4I){30}}}F{D.L=V.L=0;32 ab("aa aY bz b1 bb")}}f(1l===1m){1m++}}f(4I&&!!4E&&11&&11[0]&&A.v>1p){1F.K([11[0],A.14(1p),1p,A.v])}D.L=V.L=0;q 1F};'',62,726,''||||||||||||this|||if||function||||var||||sh|return||||null|length||||div|str|utils|for|left|replace|else|_109|index|code|document|push|lastIndex|false|exec|XRegExp||new|config||getParam|true|_121|RegExp|part|prototype|className||vN|css|_c3|slice|_107||pos|create|right|_ed|class|source|name|indexOf|_101|style|window|_111|id|_122|_12c|_12d|strings|_ca|_12e|alert|_x|_131|vars|toolbar|_e0|createElement|innerHTML|params|_ec|_e5|highlight|_bd|_c6|lib|_12a|_132|tab|lt|doc|appendChild|obj|width|value|continue|size|span|nbsp|while|_12f|_3c|_8|font|test|_130|_57|_4b|_102|substr|_56|_91|min|matches|split|lines|_97|in|_b4|html|wnd|href|execute|text|_b7|height|http|attributes|_b1|captureNames|bar|_f8|call|script|_e1|_75|toString|_6e|_d7|_12b|gt|_5b|unindent|_f4|_b3|_62|_7a|body|_80|_51|case|SyntaxHighlighter|_5|_28|_40|_81|_88|_d4|concat|getMatches|line|_c9|brushes|m1|m2|_b5|_da|_a1|_124|break|_123|throw|undefined|cc|write|_7b|_7d|print|DIV|_32|extended|_25|_f2|_8e|printFrame|_4a|_7c|_6a|_ea|_5e|_5c|_65|_106|_e9|_133|_10d|_76|len|_100|escape|_f0|spaceWidth|_dc|fixForBlogger|htmlScript|_d5|addFlags|_22|regex|_3|offsetMatches|_2|_f6|Math|_af|global|url|_a6|_db|trim|_10c|_be|func|_bc|_11c|_73|_6b|cache|_a2|_c7|_11b|key|findBrush|_c0|_9c|_9d|_b9|_ab|_8c|_b6|_ad|eachLine|supply|_89|can|_a5|values|_ac|_82|_7e|removeChild|instanceof|gi|Match|_50|viewSource|pre|_1a|_19|_18|expandSource|_29|_2b|_2d|toolbarItemWidth|_2e|_2c|_2a|_17|_10|_7|_129|_4|gm|color|_126|_e|_f|_d|_9|_b|title|toolbarItemHeight|highlighterId|popup|top|_4c|_49|_48|_4f|HtmlScript|_5d|_59||win|focus|esc|close|_blank|_2f|_30|com|clipboardSwf|_27|swf|_24|contentWindow|link|_38|_35|_37|_6c|discoveredBrushes|_e6|_e7|_105|join|toolbarCommands|ruler|px|isNaN|regexList|_e2|content|margin|guid|_fb|charAt|gutter|Array|originalCode|String|collapsed|collapse|highlighters|measureSpace|merge|quantifier|getNativeFlags|r2|_116|_d0|_d2|xmlBrush|_fc|get|object|_127|version|pP|toBoolean|_fa|attachEvent|serif|_c1|_fd|defaults|_ee|_4e|_ce|_5a|process|copyToClipboard|event|_cf|decorate|brushNotHtmlScript|shockwave|processUrls|links|_78|Times|multiline|_ba|plain|_6d|family|_61|light|flash|center|commandName|align|_66|noBrush|syntaxhighlighter|rel|type|_3e|copyToClipboardConfirmation|stylesheet|processSmartTabs|help|2009|trimFirstAndLastLines|_3f|copyStyles|500px|0px|args|_6|classRight|tabs|message|match|_cc|clipboardData|_c8|_cd|classLeft|createButton|Highlighter|switch|executeCommand|_c5|_a|_47|location|_36|processTabs|_f5|alexgorbatchev|scrollbars|_104|aboutDialog|_103|screen|_79|regexLib|_a8|DTD|xhtml1|first|unicode|isMatchNested|parseInt|_d1|_a7|_a0|_128|TypeError|_dd|one|createRuler|defaultAdd|_a3|_ff|toArray|getElementsByTagName|removeNestedMatches|parentNode|findMatches|processMatches|createDisplayLines|_b8|clipboard|addEvent|_115|debug|_aa|parseParams|tagName|brush|matchesSortCallback|_d6|_b0|_1e|_de|padNumber|block|auto|arguments|_85|_84|items|_16|_99|matchRecursive|_12|navigator|_14|when|userAgent|head|smart|_15|_83|_90|_13|escapeChar|character|org|_e4|www|w3|_93|bloggerMode|_e3|insertSpaces|try|catch|constructing|resizable|_1f|onclick|forHtmlScript|aspScriptTags|scriptScriptTags|getKeywords|menubar|400|_1c|_21|sgi|item|another|flags|_1b|max|_20|750|from|string|typeof|Helvetica|xmlns|1999|xhtml|dtd|transitional|Transitional|EN|TR|meta|equiv|About|Georgia|New|utf|charset|Content|Type|XHTML|W3C|The|is|your|to|copy|expand|view|now|Can|option|DOCTYPE|PUBLIC|configured|wasn|find|Brush|Roman|background|Copyright|2004|Alex|highlighter|syntax|decoration|none|JavaScript|Gorbatchev|multiLineCComments|singleQuotedString|multiLineDoubleQuotedString|multiLineSingleQuotedString|doubleQuotedString|replaceVar|singleLineCComments|singleLinePerlComments|0099FF|target|Geneva|Arial|_26|3em|1em|fff|000|sans|xx|287|February|06|4em|bottom|large|75em|phpScriptTags|_3b|1000000|valueNames|random|all|round|replaceChild|open|addEventListener|70em|highlighter_|on|30em|protocol|nogutter|subject|Error|shCore|more|load|about|_42|500|250|fontSize|_44|_43|aliases|textarea|spaces|number|ignoreCase|_8a|offsetWidth|SyntaxError|highlighted|_a4|alt|than|1000|_98|getPropertyValue|getComputedStyle|middot|sx|150|sort|_ef|addPlugin|sticky|getElementById|opera|using|the|flag|Xml|toLowerCase|96b8|444553540000|11cf|ae6d|d27cdb6e|lastIndexOf|codebase|pub|data|macromedia|download|unbalanced|clsid|classid|application|allowScriptAccess|_clipboard|param|file|always|wmode|delimiters|msie|menu|flashVars|transparent|swflash|cabs|printSource|_39|error|ok|cab|_bf|_3a|_119|absolute||printing|position|cssText|IFRAME|amp|setData|command|contains|_c4|embed|src|movie|_33|_34|_117|apply''.split(''|''),0,{}))
'!

shLegacyJs
	
	^'/**
 * SyntaxHighlighter
 * http://alexgorbatchev.com/
 *
 * @version
 * 2.0.287 (February 06 2009)
 *
 * @author
 * Alex Gorbatchev
 * 
 * @copyright
 * Copyright (C) 2004-2009 Alex Gorbatchev.
 *
 * Licensed under a GNU Lesser General Public License.
 * http://creativecommons.org/licenses/LGPL/2.1/
 *
 * SyntaxHighlighter is donationware. You are allowed to download, modify and distribute 
 * the source code in accordance with LGPL 2.1 license, however if you want to use 
 * SyntaxHighlighter on your site or include it in your product, you must donate.
 * http://alexgorbatchev.com/wiki/SyntaxHighlighter:Donate
 */
eval(function(p,a,c,k,e,d){e=function(c){return(c<a?'''':e(parseInt(c/a)))+((c=c%a)>35?String.fromCharCode(c+29):c.toString(36))};if(!!''''.replace(/^/,String)){while(c--){d[e(c)]=k[c]||e(c)}k=[function(e){return d[e]}];e=function(){return''\\w+''};c=1};while(c--){if(k[c]){p=p.replace(new RegExp(''\\b''+e(c)+''\\b'',''g''),k[c])}}return p}(''1 y={d:{}};y.d={F:6(S,l,q,k,m,n){6 J(z,Y){1 V=16 15("^"+Y+"\\\\[(?<o>\\\\w+)\\\\]$","14"),x=2;h(1 i=0;i<z.g;i++){7((x=V.17(z[i]))!!=2){4 x.o}}4 2};6 3(r,U){4 r!!=2?r:U};6 9(s){4 s!!=2?s.13():2};1 f=S.18(":"),E=f[0],c={},u={"p":"p"};C={"p":"1a"},v=2,5=d.5;h(1 i 19 f){c[f[i]]="p"}l=9(3(l,5.O));q=9(3(q,5.T));k=9(3(k,5.A));n=9(3(n,5.W));m=9(3(m,5["K-L"]));v={1b:E,O:3(C[c.12],l),T:3(C[c.1g],q),A:3(u[c.A],k),W:3(u[c.1t],n),"K-L":3(J(f,"1q"),m)};4 v},1x:6(B,I,D,H,N,M){6 Z(){1 a=1r;h(1 i=0;i<a.g;i++){7(a[i]===2){10}7(G(a[i])=="1s"&&a[i]!!=""){4 a[i]+""}7(G(a[i])=="1c"&&a[i].o!!=""){4 a[i].o+""}}4 2};6 t(Q,R,11){1 j=1w.1v(11);h(1 i=0;i<j.g;i++){7(j[i].1u("1p")==R){Q.1n(j[i])}}};1 b=[],1o=2,1f={},1e="1d";t(b,B,"1h");t(b,B,"1i");7(b.g===0){4}h(1 i=0;i<b.g;i++){1 8=b[i],e=Z(8.X["1m"],8.1l,8.X["P"],8.P),1k="";7(e===2){10}e=y.d.F(e,I,D,H,N,M);d.1j(e,8)}}};'',62,96,''|var|null|defaultValue|return|defaults|function|if|_26|asString||_21|_11|SyntaxHighlighter|_27|_f|length|for||_1f|_4|_2|_5|_6|value|true|_3|_c|_e|findTagsByName|_12|result||_a|dp|_7|collapse|_14|reverse|_16|_10|parseParams|typeof|_17|_15|getValue|first|line|_19|_18|gutter|language|_1c|_1d|_1|toolbar|_d|_9|ruler|attributes|_8|findValue|continue|_1e|nogutter|toString|gi|XRegExp|new|exec|split|in|false|brush|object|innerHTML|_24|_23|nocontrols|pre|textarea|highlight|_28|className|class|push|_22|name|firstline|arguments|string|showcolumns|getAttribute|getElementsByTagName|document|HighlightAll''.split(''|''),0,{}))
'!

shBrushSmalltalkJs
	
	^'/**
 * SyntaxHighlighter
 * http://alexgorbatchev.com/
 *
 * @version
 * 2.0.287 (February 12 2009)
 *
 * @author
 * Lautaro Fernandez
 * 
 * @copyright
 * Copyright (C) 2004-2009 Alex Gorbatchev.
 *
 * Licensed under a GNU Lesser General Public License.
 * http://creativecommons.org/licenses/LGPL/2.1/
 *
 * SyntaxHighlighter is donationware. You are allowed to download, modify and distribute 
 * the source code in accordance with LGPL 2.1 license, however if you want to use 
 * SyntaxHighlighter on your site or include it in your product, you must donate.
 * http://alexgorbatchev.com/wiki/SyntaxHighlighter:Donate
 */
SyntaxHighlighter.brushes.Smalltalk = function()
{  
	var keywords =	''self super nil true false thisContext'';
	var commands =  ''ifFalse ifTrue isNil isEmpty detect select do includes '';
 
	this.regexList = [
		{ regex: /\''[\s\S]*?\''/gm,						css: ''string'' },		// Strings: ''aString''
		{ regex: /\"[\s\S]*?\"/gm,						css: ''comments'' },		// Comments: "a comment"
		{ regex: /\b[A-Z](\w+)\b/g,						css: ''constants'' },		// Classes, anything beggining with a capital letter					 
		{ regex: /#(\w+)\b/g,							css: ''color2'' },		// Symbol: #value:
		{ regex: /\$(\w)\b/g,							css: ''color1'' },		// Character: $a
		{ regex: new RegExp(this.getKeywords(keywords), ''gm''),			css: ''keyword'' },		// keywords
		{ regex: new RegExp(this.getKeywords(commands), ''gm''),			css: ''functions'' },		// most used messages, as far I can know :D
		{ regex: /\b([\d]+(\.[\d]+)?|0x[a-f0-9]+)\b/gi,				css: ''value'' },			// numbers
		{ regex: /\|(?!!\$)[\s\S]*?\|/gm,					css: ''variable'' },		// Variables
		{ regex: /\w+:\/\/[\w-.\/?%&=]*/g,					css: ''color3'' },		// http
	
		];	 
}

SyntaxHighlighter.brushes.Smalltalk.prototype	= new SyntaxHighlighter.Highlighter();
SyntaxHighlighter.brushes.Smalltalk.aliases	= [''st'', ''smalltalk''];

'! !

!SHSHLibrary methodsFor: 'CSS' stamp: ' 8/3/09 20:09'!

shCoreCss
	
	^'/**
 * SyntaxHighlighter
 * http://alexgorbatchev.com/
 *
 * @version
 * 2.0.287 (February 06 2009)
 *
 * @author
 * Alex Gorbatchev
 * 
 * @copyright
 * Copyright (C) 2004-2009 Alex Gorbatchev.
 *
 * Licensed under a GNU Lesser General Public License.
 * http://creativecommons.org/licenses/LGPL/2.1/
 *
 * SyntaxHighlighter is donationware. You are allowed to download, modify and distribute 
 * the source code in accordance with LGPL 2.1 license, however if you want to use 
 * SyntaxHighlighter on your site or include it in your product, you must donate.
 * http://alexgorbatchev.com/wiki/SyntaxHighlighter:Donate
 */
.syntaxhighlighter,
.syntaxhighlighter div,
.syntaxhighlighter code,
.syntaxhighlighter span,
.syntaxhighlighter .bold,
.syntaxhighlighter .italic,
.syntaxhighlighter .line,
.syntaxhighlighter .line .number,
.syntaxhighlighter .line .content,
.syntaxhighlighter .line .content .block,
.syntaxhighlighter .line .content .spaces,
.syntaxhighlighter .bar,
.syntaxhighlighter .ruler,
.syntaxhighlighter .toolbar,
.syntaxhighlighter .toolbar a,
.syntaxhighlighter .toolbar a:hover
{
	margin: 0;
	padding: 0;
	border: 0;
	outline: 0;
	background: none;
	text-align: left;
	float: none;
	vertical-align: baseline;
	position: static;
	left: auto;
	top: auto;
	right: auto;
	bottom: auto;
	height: auto;
	width: auto;
	line-height: normal;
	font-family: "Consolas", "Monaco", "Bitstream Vera Sans Mono", "Courier New", Courier, monospace;
	font-weight: normal;
	font-style: normal;
	font-size: 100%;
}

.syntaxhighlighter
{
	width: 100%;
	margin: 1em 0 1em 0;
	padding: 1px; /* adds a little border on top and bottom */
	position: relative;
}

.syntaxhighlighter .bold {
	font-weight: bold;
}

.syntaxhighlighter .italic {
	font-style: italic;
}

.syntaxhighlighter .line .number
{
	float: left; 
	display: block;
}

/* Disable numbers when no gutter option is set */
.syntaxhighlighter.nogutter .line .number
{
	display: none;
}

.syntaxhighlighter .line .content
{
	margin-left: 1.5em; 
	padding-left: .5em;
	display: block;
}

.syntaxhighlighter .line .content .block
{
	display: block;
	padding-left: 1.5em;
	text-indent: -1.5em;
}

.syntaxhighlighter .line .content .spaces
{
	display: none;
}

/* Disable border and margin on the lines when no gutter option is set */
.syntaxhighlighter.nogutter .line .content
{
	margin-left: 0; 
	border-left: none;
}

.syntaxhighlighter .bar
{
}

.syntaxhighlighter.collapsed .bar
{

}

.syntaxhighlighter.nogutter .ruler
{
	margin-left: 0;
	padding-left: 0;
}

.syntaxhighlighter .ruler
{
	padding: 0 0 .5em .5em;
	margin-left: 3.3em;
	overflow: hidden;
}

/* Adjust some properties when collapsed */

.syntaxhighlighter.collapsed .lines,
.syntaxhighlighter.collapsed .ruler
{
	display: none;
}

/* Styles for the toolbar */

.syntaxhighlighter .toolbar
{
	position: absolute;
	right: 0px;
	top: 0px;
	font-size: 1px;
	padding: 8px 8px 8px 0; /* in px because images don''t scale with ems */
}

.syntaxhighlighter.collapsed .toolbar
{
	font-size: 80%;
	padding: .2em 0 .5em .5em;
	position: static;
}

.syntaxhighlighter .toolbar a.item,
.syntaxhighlighter .toolbar .item
{
	display: block;
	float: left;
	margin-left: 8px;
	background-repeat: no-repeat;
	overflow: hidden;
	text-indent: -5000px;
}

.syntaxhighlighter.collapsed .toolbar .item
{
	display: none;
}

.syntaxhighlighter.collapsed .toolbar .item.expandSource
{
	background-image: url(magnifier.png);
	display: inline;
	text-indent: 0;
	width: auto;
	float: none;
	height: 16px;
	padding-left: 20px;
}

.syntaxhighlighter .toolbar .item.viewSource
{
	background-image: url(page_white_code.png);
}

.syntaxhighlighter .toolbar .item.printSource
{
	background-image: url(printer.png);
}

.syntaxhighlighter .toolbar .item.copyToClipboard
{
	text-indent: 0;
	background: none;
	overflow: visible;
}

.syntaxhighlighter .toolbar .item.about
{
	background-image: url(help.png);
}

/** 
 * Print view.
 * Colors are based on the default theme without background.
 */

.syntaxhighlighter.printing,
.syntaxhighlighter.printing .line.alt1 .content,
.syntaxhighlighter.printing .line.alt2 .content,
.syntaxhighlighter.printing .line.highlighted .number,
.syntaxhighlighter.printing .line.highlighted.alt1 .content,
.syntaxhighlighter.printing .line.highlighted.alt2 .content,
.syntaxhighlighter.printing .line .content .block
{
	background: none;
}

/* Gutter line numbers */
.syntaxhighlighter.printing .line .number
{
	color: #bbb;
}

/* Add border to the lines */
.syntaxhighlighter.printing .line .content
{
	color: #000;
}

/* Toolbar when visible */
.syntaxhighlighter.printing .toolbar,
.syntaxhighlighter.printing .ruler
{
	display: none;
}

.syntaxhighlighter.printing a
{
	text-decoration: none;
}

.syntaxhighlighter.printing .plain,
.syntaxhighlighter.printing .plain a
{ 
	color: #000;
}

.syntaxhighlighter.printing .comments,
.syntaxhighlighter.printing .comments a
{ 
	color: #008200;
}

.syntaxhighlighter.printing .string,
.syntaxhighlighter.printing .string a
{
	color: blue; 
}

.syntaxhighlighter.printing .keyword
{ 
	color: #069; 
	font-weight: bold; 
}

.syntaxhighlighter.printing .preprocessor 
{ 
	color: gray; 
}

.syntaxhighlighter.printing .variable 
{ 
	color: #a70; 
}

.syntaxhighlighter.printing .value
{ 
	color: #090; 
}

.syntaxhighlighter.printing .functions
{ 
	color: #ff1493; 
}

.syntaxhighlighter.printing .constants
{ 
	color: #0066CC; 
}

.syntaxhighlighter.printing .script
{
	font-weight: bold;
}

.syntaxhighlighter.printing .color1,
.syntaxhighlighter.printing .color1 a
{ 
	color: #808080; 
}

.syntaxhighlighter.printing .color2,
.syntaxhighlighter.printing .color2 a
{ 
	color: #ff1493; 
}

.syntaxhighlighter.printing .color3,
.syntaxhighlighter.printing .color3 a
{ 
	color: red; 
}
'!

shThemeDefaultCss
	
	^'/**
 * SyntaxHighlighter
 * http://alexgorbatchev.com/
 *
 * @version
 * 2.0.287 (February 06 2009)
 *
 * @author
 * Alex Gorbatchev
 * 
 * @copyright
 * Copyright (C) 2004-2009 Alex Gorbatchev.
 *
 * Licensed under a GNU Lesser General Public License.
 * http://creativecommons.org/licenses/LGPL/2.1/
 *
 * SyntaxHighlighter is donationware. You are allowed to download, modify and distribute 
 * the source code in accordance with LGPL 2.1 license, however if you want to use 
 * SyntaxHighlighter on your site or include it in your product, you must donate.
 * http://alexgorbatchev.com/wiki/SyntaxHighlighter:Donate
 */
/************************************
 * Default Syntax Highlighter theme.
 * 
 * Interface elements.
 ************************************/

.syntaxhighlighter
{
	background-color: #E7E5DC;
	margin: 0px;
	padding: 0px;
	font-size: 90%;}

/* Highlighed line number */
.syntaxhighlighter .line.highlighted .number
{
	background-color: #6CE26C;
	color: black;
}

/* Highlighed line */
.syntaxhighlighter .line.highlighted.alt1 .content,
.syntaxhighlighter .line.highlighted.alt2 .content
{
	background-color: #6CE26C;
}

/* Gutter line numbers */
.syntaxhighlighter .line .number
{
	color: #5C5C5C;
}

/* Add border to the lines */
.syntaxhighlighter .line .content
{
	border-left: 3px solid #6CE26C;
	color: #000;
}

.syntaxhighlighter.printing .line .content 
{
	border: 0;
}

/* First line */
.syntaxhighlighter .line.alt1 .content
{
	background-color: #fff;
}

/* Second line */
.syntaxhighlighter .line.alt2 .content
{
	background-color: #F8F8F8;
}

.syntaxhighlighter .line .content .block
{
	background: url(wrapping.png) 0 1.1em no-repeat;
}

.syntaxhighlighter .ruler
{
	color: silver;
	background-color: #F8F8F8;
	border-left: 3px solid #6CE26C;
}

.syntaxhighlighter.nogutter .ruler
{
	border: 0;
}

.syntaxhighlighter .toolbar
{
	background-color: #F8F8F8;
	border: #E7E5DC solid 1px;
}

.syntaxhighlighter .toolbar a
{
	color: #a0a0a0;
}

.syntaxhighlighter .toolbar a:hover
{
	color: red;
}

/************************************
 * Actual syntax highlighter colors.
 ************************************/
.syntaxhighlighter .plain,
.syntaxhighlighter .plain a
{ 
	color: #000;
}

.syntaxhighlighter .comments,
.syntaxhighlighter .comments a
{ 
	color: #008200;
}

.syntaxhighlighter .string,
.syntaxhighlighter .string a
{
	color: blue; 
}

.syntaxhighlighter .keyword
{ 
	color: #069; 
	font-weight: bold; 
}

.syntaxhighlighter .preprocessor 
{ 
	color: gray; 
}

.syntaxhighlighter .variable 
{ 
	color: #a70; 
}

.syntaxhighlighter .value
{ 
	color: #090; 
}

.syntaxhighlighter .functions
{ 
	color: #ff1493; 
}

.syntaxhighlighter .constants
{ 
	color: #0066CC; 
}

.syntaxhighlighter .script
{ 
	background-color: yellow !!important;
}

.syntaxhighlighter .color1,
.syntaxhighlighter .color1 a
{ 
	color: #808080; 
}

.syntaxhighlighter .color2,
.syntaxhighlighter .color2 a
{ 
	color: #ff1493; 
}

.syntaxhighlighter .color3,
.syntaxhighlighter .color3 a
{ 
	color: red; 
}
'! !

!SHSHLibrary methodsFor: 'resources' stamp: ' 8/3/09 20:09'!

pagewhitecodePng
	
	| xxxCache |
	xxxCache _ #(nil) beMutable.
	(xxxCache at: 1) isNil
		ifTrue:
			[xxxCache
				at: 1
				put:
					#(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 16 8 6 0 0 0 31 243 255 97 0 0 0 4 103 65 77 65 0 0 175 200 55 5 138 233 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 1 237 73 68 65 84 56 203 141 147 61 79 219 80 20 134 41 67 151 142 48 18 165 91 167 150 33 8 169 107 196 95 64 164 32 132 64 10 169 152 10 21 8 38 22 126 64 91 37 67 10 42 85 65 144 182 18 160 86 148 74 157 59 100 66 164 11 44 64 20 108 199 95 181 157 216 177 243 1 111 125 110 176 113 72 80 177 244 200 210 61 247 60 62 231 248 222 46 0 93 132 251 244 185 68 92 6 255 195 99 151 110 63 47 32 136 56 142 163 215 235 245 203 70 163 129 78 184 113 36 147 201 183 65 73 80 48 72 201 166 105 194 178 44 31 195 48 160 105 26 68 81 100 18 65 16 144 74 165 124 137 151 252 128 4 180 193 182 109 84 171 85 246 38 202 229 50 116 93 135 36 73 76 80 169 84 64 31 73 167 211 77 73 80 160 91 53 150 236 65 2 74 40 149 74 144 101 185 173 37 54 19 79 240 40 28 137 206 126 151 48 181 91 100 193 196 129 130 185 3 25 138 97 251 173 40 138 194 42 225 121 190 85 240 116 249 79 207 208 187 227 220 220 15 25 241 207 77 193 204 190 140 133 95 10 94 237 73 144 180 10 147 80 37 52 15 85 85 111 4 207 86 78 99 99 95 69 123 118 95 66 124 187 8 78 117 88 144 215 170 152 222 17 65 235 227 153 34 246 178 42 107 135 102 66 34 95 48 178 45 24 75 63 21 196 54 185 198 209 153 217 210 99 46 111 97 108 139 199 252 55 17 163 31 46 96 90 14 147 16 190 224 201 235 147 216 240 58 103 207 124 41 98 98 237 2 156 220 172 128 42 153 250 196 129 214 71 214 10 216 253 173 250 195 165 243 208 50 131 240 68 182 231 249 226 97 46 190 193 97 60 153 103 193 201 143 28 94 102 4 36 86 11 144 117 7 181 90 141 65 201 109 2 250 11 15 123 251 163 241 84 30 195 111 206 89 240 197 251 2 18 233 2 254 26 55 201 65 218 4 222 65 186 141 123 58 59 114 151 224 234 174 123 208 129 75 95 112 45 25 112 7 100 81 224 62 201 238 222 50 187 189 1 65 136 36 247 184 206 30 116 245 67 255 0 7 205 202 152 188 162 63 230 0 0 0 0 73 69 78 68 174 66 96 130)
						asByteArray].
	^xxxCache at: 1!

pagewhitecopyPng
	
	| xxxCache |
	xxxCache _ #(nil) beMutable.
	(xxxCache at: 1) isNil
		ifTrue:
			[xxxCache
				at: 1
				put:
					#(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 16 8 4 0 0 0 181 250 55 234 0 0 0 4 103 65 77 65 0 0 175 200 55 5 138 233 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 0 199 73 68 65 84 40 207 117 145 77 110 194 48 20 6 191 228 30 69 185 3 194 57 15 71 66 234 130 171 116 135 80 11 107 174 1 66 72 164 36 241 143 52 93 56 216 38 168 154 141 23 227 231 145 159 180 208 74 38 209 168 70 37 210 202 217 64 100 228 115 51 87 36 19 24 232 184 113 38 208 179 221 168 121 19 70 122 238 92 8 4 60 106 85 171 82 85 8 158 145 7 119 78 124 113 68 107 181 185 71 50 241 222 72 207 14 199 188 103 18 162 178 231 189 39 9 1 203 55 175 61 1 153 66 112 252 144 123 174 156 75 193 227 113 28 200 61 29 183 249 4 207 49 157 44 61 191 147 208 164 111 110 181 206 207 89 134 40 32 85 19 181 218 60 205 225 158 66 250 212 42 247 68 254 17 50 182 211 242 117 181 77 177 120 35 163 165 62 254 0 247 219 77 160 231 77 191 230 0 0 0 0 73 69 78 68 174 66 96 130)
						asByteArray].
	^xxxCache at: 1!

clipboardSwf
	
	| xxxCache |
	xxxCache _ #(nil) beMutable.
	(xxxCache at: 1) isNil
		ifTrue:
			[xxxCache
				at: 1
				put:
					#(67 87 83 9 27 7 0 0 120 156 125 85 125 108 20 69 20 159 217 175 217 221 251 236 215 181 92 123 237 21 74 129 246 236 109 75 5 130 68 170 71 105 27 104 90 114 18 241 131 178 123 119 115 189 45 123 183 101 111 91 218 26 12 160 161 137 70 76 80 64 249 163 54 144 16 195 31 37 104 196 32 198 26 9 33 74 196 43 65 9 240 7 152 152 54 128 137 168 40 74 64 157 189 171 213 10 113 50 155 121 243 230 247 222 155 247 123 179 51 157 96 20 136 0 148 67 176 42 143 7 0 132 168 120 60 62 94 100 35 34 4 225 40 78 97 127 61 0 227 133 91 89 75 65 154 27 212 89 195 50 192 117 68 122 112 212 228 194 166 161 166 186 153 126 93 141 217 227 154 146 78 212 225 126 156 50 211 98 187 222 151 198 205 150 236 8 105 106 111 68 87 140 216 147 74 26 59 114 168 152 154 238 213 148 65 161 93 239 87 177 5 176 235 169 172 9 145 163 155 157 120 0 71 251 76 28 210 147 73 37 21 115 110 74 168 221 9 141 124 38 54 218 98 124 26 155 97 83 49 177 48 227 217 173 196 98 217 96 107 213 180 73 182 109 176 161 181 109 161 53 142 100 214 101 66 213 98 6 78 57 136 220 74 220 133 250 140 180 110 136 145 62 211 180 130 198 48 99 232 186 41 106 186 18 35 238 83 113 93 236 85 12 37 137 73 176 180 99 86 228 202 132 105 246 46 15 6 149 152 30 193 117 81 61 25 124 34 188 56 216 32 73 75 130 145 62 85 51 213 84 241 172 244 150 207 164 87 56 91 31 238 53 84 19 87 205 86 174 202 141 57 102 67 122 202 84 84 146 73 197 108 80 91 138 236 68 137 154 106 63 206 1 75 255 199 73 217 191 75 178 60 75 144 181 174 152 209 4 54 156 211 139 3 196 97 74 209 242 154 167 133 108 132 184 18 197 130 210 175 168 154 18 209 240 194 240 32 217 205 64 235 63 92 212 153 186 174 69 20 163 110 118 165 92 81 189 119 240 41 125 166 46 40 154 211 163 36 78 167 149 110 204 68 21 77 163 187 177 57 125 88 210 131 164 92 73 46 156 29 236 164 174 51 150 148 190 153 53 73 162 152 197 134 161 27 148 40 178 205 150 0 49 95 21 37 220 144 84 184 180 117 8 54 185 254 147 151 99 22 5 121 15 16 230 121 56 207 92 174 38 133 30 232 97 61 124 9 98 65 137 147 5 197 144 47 241 34 239 28 175 215 91 234 45 243 250 188 229 94 202 83 225 89 72 59 89 136 120 129 17 109 118 135 211 229 206 131 176 26 65 10 65 26 65 6 81 28 130 8 209 2 98 69 196 218 16 107 71 172 3 65 39 130 46 4 221 8 230 33 152 143 96 1 130 133 8 22 33 232 17 138 33 202 247 35 88 137 136 147 130 69 8 214 32 24 64 112 62 130 65 4 37 196 215 35 94 18 16 133 168 197 136 110 68 244 163 136 94 130 232 165 2 152 110 20 164 40 192 67 187 29 210 12 153 208 20 120 176 81 44 39 48 128 108 13 2 154 135 128 34 198 20 16 33 96 108 44 207 1 68 16 28 193 64 150 1 196 147 141 129 80 0 228 19 233 140 212 66 254 124 154 18 109 141 25 201 191 29 126 157 105 3 27 237 50 19 119 200 168 195 78 117 57 23 36 156 93 174 234 132 171 203 93 157 112 203 121 241 252 120 1 65 117 9 19 241 194 132 64 108 41 145 22 109 115 51 146 92 20 247 228 123 0 144 139 2 115 253 126 89 8 204 11 84 77 4 230 159 95 79 173 46 230 90 253 173 0 208 12 99 115 111 201 72 79 215 124 35 97 72 98 37 41 12 39 146 16 195 141 124 96 193 106 30 230 52 26 229 47 36 87 81 139 92 98 201 50 53 220 49 199 2 212 118 240 208 45 1 144 145 206 75 207 130 154 139 53 82 109 18 110 244 98 74 131 241 210 14 175 5 121 36 55 9 212 141 90 150 163 29 60 229 227 233 22 184 104 69 83 153 143 42 39 204 129 10 194 16 96 172 108 237 25 137 88 52 76 16 20 36 89 176 20 97 99 1 209 249 101 40 201 149 146 60 87 146 231 73 114 149 36 207 151 100 142 244 13 192 151 107 9 150 192 57 8 69 91 142 59 4 161 205 206 101 36 194 27 153 241 196 143 88 155 145 48 120 184 31 150 244 13 208 247 183 47 27 49 89 41 56 161 117 249 178 110 114 249 14 92 222 251 198 115 226 75 146 187 57 116 242 117 207 157 206 158 59 149 169 209 53 55 122 238 21 172 251 241 74 242 183 166 91 247 119 170 99 85 7 27 143 37 175 221 123 249 196 210 197 75 63 223 91 223 63 245 150 104 63 247 182 47 152 56 115 228 72 98 100 202 183 237 234 120 224 236 221 201 29 233 125 119 199 110 242 143 55 175 235 220 83 117 182 235 202 241 224 149 227 175 109 186 125 111 197 133 240 51 251 222 60 124 253 242 153 198 118 215 196 169 182 209 11 63 127 116 250 144 122 224 244 188 221 81 163 108 248 224 194 161 159 14 12 87 239 95 63 254 75 83 197 216 205 243 203 118 95 53 46 93 255 176 124 100 234 254 158 179 195 229 246 83 77 159 252 80 49 249 89 125 223 208 109 31 179 163 97 255 138 175 112 197 225 158 23 193 182 146 93 95 60 255 93 160 101 234 208 200 212 31 199 134 79 92 91 119 241 131 11 165 175 108 125 245 228 208 141 201 157 168 161 104 232 248 96 241 158 247 111 117 254 202 186 182 28 61 60 217 62 98 158 208 126 111 57 58 122 238 189 239 251 111 5 237 95 190 179 175 233 133 111 63 134 99 181 203 30 27 7 126 235 76 131 206 236 243 5 67 16 92 106 2 108 246 125 42 248 116 180 247 221 50 15 114 108 7 127 10 110 162 161 9 119 187 56 142 156 121 0 154 200 124 101 129 51 251 186 209 96 230 170 201 173 211 185 245 191 0 17 188 6 75)
						asByteArray].
	^xxxCache at: 1!

printerPng
	
	| xxxCache |
	xxxCache _ #(nil) beMutable.
	(xxxCache at: 1) isNil
		ifTrue:
			[xxxCache
				at: 1
				put:
					#(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 16 8 6 0 0 0 31 243 255 97 0 0 0 4 103 65 77 65 0 0 175 200 55 5 138 233 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 2 109 73 68 65 84 56 203 141 147 223 75 83 97 24 199 207 93 248 119 56 111 196 255 32 72 152 217 42 173 129 130 204 11 97 135 229 141 129 120 161 193 6 27 216 42 24 186 65 176 177 212 75 161 133 22 65 180 64 134 172 220 217 15 117 34 186 213 134 88 75 171 57 203 229 60 155 219 121 183 179 125 123 207 91 51 7 51 58 240 185 56 239 243 125 62 231 121 94 56 28 0 174 206 85 243 59 253 173 169 136 79 59 29 169 81 160 181 71 74 218 233 213 82 175 45 88 187 124 79 112 158 207 214 105 120 185 241 72 40 31 137 37 252 44 72 200 230 127 115 36 74 72 164 69 152 95 237 195 240 120 167 120 229 238 235 75 23 10 122 109 161 226 201 41 193 198 23 153 82 65 228 51 193 202 174 4 169 82 197 70 90 198 131 55 251 80 27 253 79 47 20 244 216 66 37 69 176 73 5 155 95 101 172 237 149 33 124 36 72 29 22 160 76 118 120 124 138 110 203 74 165 169 96 114 114 178 165 199 22 36 185 2 65 140 126 45 118 80 253 51 69 25 190 15 167 240 198 243 200 209 213 174 221 15 16 189 94 223 210 32 160 205 6 74 158 94 22 142 169 32 113 80 195 123 42 216 166 162 232 94 133 173 177 188 83 164 181 50 174 91 5 12 14 14 230 251 251 251 13 76 64 27 187 103 103 103 17 141 70 113 123 42 140 44 21 36 51 53 36 40 177 111 85 108 209 85 194 116 138 0 93 37 75 5 55 31 134 17 8 4 48 62 62 14 141 70 211 173 8 182 233 131 76 38 3 179 217 252 95 40 89 65 16 48 48 48 176 171 8 136 44 203 80 88 95 95 135 40 138 255 36 20 10 161 158 31 27 27 171 113 22 139 5 132 16 198 226 226 34 82 169 20 19 53 67 169 205 207 207 159 229 121 158 7 103 50 153 144 72 36 24 110 183 27 201 100 18 126 191 191 41 74 198 225 112 156 229 59 59 59 193 77 76 76 192 231 243 49 236 118 59 226 241 56 150 150 150 154 18 139 197 96 181 90 207 242 237 237 237 224 232 30 240 122 189 12 151 203 5 122 39 12 163 209 136 209 209 81 54 102 95 95 31 186 186 186 160 86 171 217 89 61 223 214 214 6 110 100 100 164 234 241 120 216 129 210 184 240 252 37 150 223 6 155 242 108 225 5 58 58 58 88 118 110 110 14 173 173 173 224 12 6 195 204 208 208 208 182 78 167 3 239 10 163 88 34 56 58 33 248 65 57 204 73 72 103 75 216 251 94 192 167 140 136 162 84 6 239 12 67 165 82 41 205 91 20 83 195 191 192 187 34 213 225 39 107 24 118 255 229 14 99 149 161 212 120 103 164 122 190 231 23 187 18 4 200 172 254 91 141 0 0 0 0 73 69 78 68 174 66 96 130)
						asByteArray].
	^xxxCache at: 1!

helpPng
	
	| xxxCache |
	xxxCache _ #(nil) beMutable.
	(xxxCache at: 1) isNil
		ifTrue:
			[xxxCache
				at: 1
				put:
					#(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 16 8 6 0 0 0 31 243 255 97 0 0 0 4 103 65 77 65 0 0 175 200 55 5 138 233 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 2 164 73 68 65 84 56 203 165 147 221 79 146 97 24 198 253 91 224 79 104 173 230 106 213 106 157 213 214 56 232 160 3 167 230 39 208 212 114 181 12 150 179 116 152 211 44 41 53 51 157 10 106 234 156 138 2 111 2 34 136 38 202 151 32 240 98 34 95 202 199 68 120 225 85 179 237 234 141 53 156 203 217 90 7 191 147 123 207 245 219 174 103 247 157 3 32 231 127 248 99 160 35 15 217 90 247 129 64 227 220 39 85 235 52 245 197 158 162 20 54 138 156 177 36 4 83 166 61 246 153 2 181 147 230 204 58 210 33 79 248 16 27 59 52 220 65 42 131 103 59 13 71 32 141 145 197 104 104 104 33 204 57 85 64 172 165 56 114 107 50 181 25 217 135 249 219 46 164 115 126 136 198 156 168 31 89 71 23 177 1 131 35 10 87 136 194 39 149 63 213 69 108 113 78 8 100 230 4 107 114 53 30 220 8 211 88 112 198 80 203 132 58 9 15 252 49 26 190 88 26 99 139 1 212 72 173 80 174 134 96 247 37 208 58 73 6 155 199 93 172 172 96 116 41 42 92 243 167 176 226 137 67 56 104 199 227 30 51 210 7 71 12 63 126 115 132 218 65 11 106 250 77 152 183 71 160 93 139 160 78 106 21 102 5 125 115 33 210 197 116 237 38 54 81 221 99 66 85 247 10 252 209 52 166 150 3 80 219 182 65 51 2 181 45 8 110 187 14 173 83 14 88 189 187 120 210 109 36 179 130 14 133 151 118 7 147 16 74 44 168 252 104 4 175 211 192 60 214 99 218 232 195 46 117 128 157 93 26 189 179 46 148 182 105 81 249 65 15 135 111 15 60 177 158 206 10 90 198 93 180 43 144 196 211 1 11 184 29 122 148 191 215 161 236 157 14 73 250 59 182 34 20 248 98 45 138 90 84 184 207 192 23 107 96 247 199 145 223 164 62 22 188 144 218 72 219 86 28 98 153 11 188 118 3 202 196 243 40 121 59 135 226 215 234 12 133 175 8 20 54 42 80 208 40 71 189 116 25 70 79 4 119 235 228 199 21 152 62 66 133 49 0 189 35 130 202 14 67 54 24 75 236 35 178 71 35 79 52 147 161 80 36 3 177 234 131 132 169 115 171 102 226 248 19 249 226 5 86 249 155 249 224 146 51 2 229 138 31 220 54 13 10 154 148 104 27 55 101 248 21 206 111 152 192 176 198 13 141 37 128 155 213 99 193 235 15 71 89 39 22 41 79 52 203 185 215 64 164 116 246 109 168 173 65 188 148 44 161 164 89 142 162 198 105 60 239 213 67 105 244 66 101 246 227 106 197 231 212 229 7 67 156 83 87 249 142 80 198 185 253 108 50 212 71 172 227 171 59 12 139 55 150 97 209 185 131 46 153 13 185 60 105 232 98 185 132 115 230 49 221 120 52 202 190 86 53 34 184 82 49 76 94 226 15 82 185 92 41 117 161 108 128 60 95 218 47 56 87 220 199 254 235 53 254 43 63 1 215 175 5 162 189 77 189 196 0 0 0 0 73 69 78 68 174 66 96 130)
						asByteArray].
	^xxxCache at: 1!

magnifierPng
	
	| xxxCache |
	xxxCache _ #(nil) beMutable.
	(xxxCache at: 1) isNil
		ifTrue:
			[xxxCache
				at: 1
				put:
					#(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 16 8 6 0 0 0 31 243 255 97 0 0 0 4 103 65 77 65 0 0 175 200 55 5 138 233 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 1 249 73 68 65 84 56 203 165 146 191 107 147 97 16 199 191 239 143 36 70 172 169 154 164 16 131 63 232 80 245 15 16 42 66 160 69 112 200 212 173 32 14 130 56 84 119 221 186 8 142 14 166 131 139 139 210 77 4 59 84 69 33 34 136 154 65 208 198 86 208 68 11 49 209 216 10 38 111 222 231 121 238 158 115 176 86 36 121 149 226 103 185 155 62 247 189 227 28 17 193 255 224 255 106 30 215 216 181 214 150 136 165 200 204 57 98 11 67 220 32 226 5 99 120 102 122 60 109 7 9 28 17 65 185 198 174 101 251 40 149 144 194 174 237 14 124 87 0 1 66 18 172 182 67 124 252 210 43 27 162 137 179 147 249 62 137 11 0 204 182 180 51 97 11 217 29 14 66 195 104 119 24 173 14 35 208 22 7 50 73 100 83 177 130 210 84 26 148 192 5 0 34 46 238 78 58 248 174 24 129 22 144 21 48 11 186 90 176 214 99 236 221 147 132 210 84 140 20 24 226 156 231 2 129 22 176 21 176 197 79 137 21 116 149 69 60 230 65 107 202 69 30 81 27 130 149 24 200 10 172 5 88 126 87 177 0 11 160 12 33 50 129 214 212 8 141 133 239 58 27 147 177 89 99 190 131 32 52 32 173 63 71 11 12 45 212 91 1 134 18 46 226 158 3 222 72 146 240 29 12 39 61 188 126 215 198 72 247 229 240 195 203 197 177 129 2 165 105 166 214 236 148 151 62 124 67 204 3 178 67 62 178 41 31 113 87 240 188 218 68 231 107 19 147 185 214 54 165 130 39 119 46 30 27 235 251 3 0 184 122 247 189 107 136 74 198 112 81 19 231 200 48 12 241 167 116 111 73 79 164 94 29 204 31 62 138 198 202 11 188 173 220 111 27 19 30 63 117 237 205 202 31 130 40 22 103 79 196 181 14 231 211 251 14 77 237 63 50 142 213 229 103 168 86 238 181 207 92 175 103 54 87 248 27 39 103 31 104 165 130 233 122 245 233 237 229 202 34 178 249 81 104 173 210 125 43 252 139 27 231 70 227 68 106 222 139 37 166 130 206 250 149 243 55 215 46 109 73 0 0 115 167 51 30 51 141 92 184 181 222 216 114 130 40 126 0 74 184 55 161 170 50 203 161 0 0 0 0 73 69 78 68 174 66 96 130)
						asByteArray].
	^xxxCache at: 1!

wrappingPng
	
	| xxxCache |
	xxxCache _ #(nil) beMutable.
	(xxxCache at: 1) isNil
		ifTrue:
			[xxxCache
				at: 1
				put:
					#(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 16 8 6 0 0 0 31 243 255 97 0 0 0 4 103 65 77 65 0 0 175 200 55 5 138 233 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 2 9 73 68 65 84 56 203 165 83 61 104 147 81 20 61 249 26 196 82 161 66 138 205 15 193 208 210 73 23 113 16 148 170 213 130 40 210 8 25 130 224 208 69 42 40 72 113 112 112 17 151 82 29 90 20 193 66 39 21 65 36 67 80 208 224 34 162 22 196 44 78 182 249 196 218 96 105 145 240 217 74 32 230 222 115 159 67 73 52 86 176 210 11 151 247 184 112 206 227 220 115 94 200 57 135 205 148 135 77 86 184 113 185 244 122 196 153 25 140 6 210 64 101 227 52 10 43 170 44 82 88 80 213 220 163 225 39 229 6 46 212 144 48 250 242 172 59 28 63 2 231 0 115 132 57 7 58 130 70 212 164 134 160 26 96 41 88 134 255 165 148 87 225 248 227 243 207 103 90 36 144 182 6 50 5 157 65 77 65 35 232 8 207 107 67 251 214 118 244 37 250 176 107 231 238 180 136 94 30 188 209 159 108 145 64 37 10 254 83 144 132 10 65 37 84 9 10 17 223 158 64 170 59 5 132 67 232 142 68 145 220 145 76 151 230 75 47 0 76 134 54 226 66 250 206 177 9 21 205 28 220 115 40 201 144 226 91 176 130 55 239 102 158 189 186 250 246 248 134 92 200 159 43 140 138 104 174 188 84 70 8 30 182 117 116 64 68 247 174 179 241 204 195 76 219 233 251 167 174 252 141 68 235 10 37 161 166 16 35 84 116 125 14 84 116 90 68 179 127 130 7 198 14 76 72 93 51 93 145 46 84 165 138 74 80 129 10 139 45 75 204 222 27 186 21 235 140 15 171 18 39 111 15 58 149 181 87 40 68 60 154 64 42 153 66 120 75 24 158 121 88 92 156 3 69 11 77 130 236 221 161 235 209 206 216 133 222 88 47 12 14 61 137 158 166 133 52 3 29 241 253 199 42 60 122 248 188 80 70 105 206 207 83 153 107 18 136 104 93 85 33 38 48 7 208 17 102 132 26 97 142 168 213 106 88 9 86 49 183 236 195 159 245 243 84 27 255 48 229 151 91 146 120 226 230 209 201 88 36 122 81 105 152 95 248 4 149 95 57 80 229 87 42 139 84 22 72 230 102 167 62 54 163 12 231 92 179 7 198 246 79 247 95 219 247 254 247 217 191 186 197 5 169 235 136 138 62 248 159 223 248 19 19 249 133 146 234 21 229 237 0 0 0 0 73 69 78 68 174 66 96 130)
						asByteArray].
	^xxxCache at: 1! !


!SHTestHighlight class methodsFor: 'class initialization' stamp: ' 8/3/09 20:09'!

initialize
	" self initialize	"
	
	(self registerAsApplication: 'SyntaxHighlighter') addLibrary: SHSHLibrary! !


!SHTestHighlight methodsFor: 'rendering' stamp: ' 8/3/09 20:09'!

smalltalkMethod
	
	^'
browse: aClass onMethod: aSelector mode: isClassMode 
	| bld browser |
"commenad asd ads sda sda t"  
| dasdsasdadsa | http://www.google.com.ar 644674576 .
	bld := SmalltalkWorkbench browseClass: aClass instanceBehavior.
	browser := bld source. 222#asd 234 CLADSA $a 213asd aasd ASD 12
	self assert:  12332123
	browser meta value: (aClass isMeta ifTrue: [#class] ifFalse: [#instance]).
	|interface|.
	aSelector isNil ifFalse: 
		[browser
			selectProtocol: (aClass whichCategoryIncludesSelector: aSelector);
			selectMethod: aSelector]
'!

renderContentOn: html
	
	(html heading)
		level1;
		with: 'SyntaxHighlighter Test (just for smalltalk now)'.
	html paragraph with: 'Simple example'.
	(html smalltalkCode)
		gutter: false;
		toolbar: false;
		with: self smalltalkMethod.
	html paragraph with: 'Simple example with line counter and nice buttons'.
	html smalltalkCode with: self smalltalkMethod! !


!WAHtmlCanvas methodsFor: 'tags-output' stamp: ' 8/3/09 20:09'!

smalltalkCode
	
	^self brush: SHWASmalltalkCodeTag new!

smalltalkCode: aBlock
	
	self smalltalkCode with: aBlock!

softsmalltalkCode
	"This tag works the same as the others, but in the following cases:
	Let's supposse you need to change a div several times with AJAX calls, then the smalltalkCode tag will insert over and over the same script. This tag is a bit more primitive, so you will have to add the smalltalkHighlightJs into you SeasideSite JUST ONCE. Then, each time you want to have nice and colored text, use this tag and then call the parseSmalltalkJs."
	"
	A) self script url: WASmalltalkCode / #smalltalkHighlightJs.
 	B) self script url: WASmalltalkCode / #parseSmalltalkJs. "
	"
self script: 'SyntaxHighlighter.highlight(); '
"
	
	self brush: SHWASimpleSmalltalkCodeTag new.
	currentBrush class: 'brush: smalltalk;gutter:false;toolbar: false;'.
	^currentBrush!

softsmalltalkCode: aBlock
	
	self softsmalltalkCode with: aBlock! !



SHTestHighlight initialize!
